#ifndef _BASIC_DICTIONARY_HANDLER_H
#define _BASIC_DICTIONARY_HANDLER_H

#include "rtr/rsslReactor.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Attempts to load file-based local dictionaries - returns false if not available */
int loadLocalDictionary();

/* Retrieve the loaded dictionary */
RsslDataDictionary* getDictionary();

/* Process the dictionary response in the event we request to download */
RsslReactorCallbackRet processDictionaryResponse(RsslReactor *pReactor, RsslReactorChannel *pReactorChannel, 
												 RsslRDMDictionaryMsgEvent *pDictionaryMsgEvent);

#ifdef __cplusplus
};
#endif

#endif
