#ifndef _BASIC_DIRECTORY_HANDLER_H
#define _BASIC_DIRECTORY_HANDLER_H

#include "rtr/rsslReactor.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Directory details */
typedef struct {
	char		serviceName[256];				/* Name of the service we're interested in */
	RsslUInt16	serviceId;						/* Corresponding ID for service Name defined within directory */
} BasicService;

/* Directory callback function */
RsslReactorCallbackRet processDirectoryResponse(RsslRDMDirectoryMsgEvent *pDirectoryMsgEvent, BasicService* service);

#ifdef __cplusplus
};
#endif

#endif

