#ifndef _BASIC_MSG_HANDLER_H
#define _BASIC_MSG_HANDLER_H

#include "rtr/rsslReactor.h"

#ifdef __cplusplus
extern "C" 
{
#endif
	
/* Generic item request */
RsslRet sendItemRequest(RsslReactor *pReactor, RsslReactorChannel* pReactorChannel, char* itemName, 
						RsslUInt16 serviceId, RsslUInt8 domain);
RsslRet sendItemClosed(RsslReactorChannel* pReactorChannel,	RsslUInt8 domain);

/* Capture all data-related events */
RsslReactorCallbackRet generalMsgCallback(RsslReactor *pReactor, RsslReactorChannel *pChannel, RsslMsgEvent* pMsgEvent);

#ifdef __cplusplus
};
#endif

#endif